package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.CoverageType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.CoverageTypeDescriptor;

public class CoberturaTusarHudsonCoverageType extends CoverageType {

private static CoverageTypeDescriptor<? extends CoverageType> DESCRIPTOR = new CoberturaTusarHudsonCoverageType.DescriptorImpl();

@DataBoundConstructor
public CoberturaTusarHudsonCoverageType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public CoverageTypeDescriptor<? extends CoverageType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends CoverageTypeDescriptor<CoberturaTusarHudsonCoverageType> {

  public DescriptorImpl() {
     super(CoberturaTusarHudsonCoverageType.class, com.thalesgroup.dtkit.tusar.Cobertura.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.Cobertura";
}

}

}
