package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class CppUnitTusarHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new CppUnitTusarHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public CppUnitTusarHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<CppUnitTusarHudsonTestType> {

  public DescriptorImpl() {
     super(CppUnitTusarHudsonTestType.class, com.thalesgroup.dtkit.tusar.CppUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.CppUnit";
}

}

}
