package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class FPCUnitTusarHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new FPCUnitTusarHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public FPCUnitTusarHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<FPCUnitTusarHudsonTestType> {

  public DescriptorImpl() {
     super(FPCUnitTusarHudsonTestType.class, com.thalesgroup.dtkit.tusar.FPCUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.FPCUnit";
}

}

}
